drop table dim_IOSTAT;

create table dim_IOSTAT
(
 ID          int,
 Sno         int,
 Disk        char(20),
 RS          float,
 WS          float,
 KRS         float,
 KWS         float,
 Wait        float,
 Actv        float,
 Svc_t       float,
 W           int,
 B           int
);

create index dim_IOSTAT_ID   on dim_IOSTAT( ID );
create index dim_IOSTAT_Sno  on dim_IOSTAT( Sno );
create index dim_IOSTAT_Disk on dim_IOSTAT( Disk );

alter table dim_IOSTAT lock mode(row);

delete from TabX_note where tabname = 'dim_IOSTAT';
insert into TabX_note( tabname, note ) values ( 'dim_IOSTAT', 'dim_STAT I/O Statistics' );

delete from TabX where tabname = 'dim_IOSTAT';
insert into TabX values ( 'dim_IOSTAT', 'id', 'AD', 'ID', '' );
insert into TabX values ( 'dim_IOSTAT', 'sno', 'S', 'Sno#', '' );
insert into TabX values ( 'dim_IOSTAT', 'disk', 'AS', 'DISK', '' );
insert into TabX values ( 'dim_IOSTAT', 'rs', 'V', 'Read/s', '' );
insert into TabX values ( 'dim_IOSTAT', 'krs', 'V', 'Read Kb/s', '' );
insert into TabX values ( 'dim_IOSTAT', 'ws', 'V', 'Write/s', '' );
insert into TabX values ( 'dim_IOSTAT', 'kws', 'V', 'Write Kb/s', '' );
insert into TabX values ( 'dim_IOSTAT', 'wait', 'V', 'Wait', '' );
insert into TabX values ( 'dim_IOSTAT', 'actv', 'V', 'Actv', '' );
insert into TabX values ( 'dim_IOSTAT', 'svc_t', 'V', 'Service time', '' );
insert into TabX values ( 'dim_IOSTAT', 'w', 'V', '%Wait', '' );
insert into TabX values ( 'dim_IOSTAT', 'b', 'V', '%Busy', '' );

