drop table dim_VMSTAT;

create table dim_VMSTAT
(
 ID    int not null,
 Sno   int not null,

 r     int,
 b     int,
 w     int,
 swap  int,
 free  int,
 re    int,
 mf    int,
 pin   int,
 pout  int,
 fr    int,
 de    int,
 sr    int,
 intr  int,
 sy    int,
 cs    int,
 usr   int,
 sys   int,
 idle  int
);

create index dim_VMSTAT_ID_Sno  on dim_VMSTAT( ID,Sno );

alter table dim_VMSTAT max_rows=4000000000;

delete from TabX_note where tabname = 'dim_VMSTAT';
insert into TabX_note( tabname, note ) values ( 'dim_VMSTAT', 'Solaris CPU, Run queue, Memory Usage Statistics, etc. (vmstat)' );

delete from TabX where tabname = 'dim_VMSTAT';
insert into TabX values ( 'dim_VMSTAT',  1, 'id',     'AD', 'ID', '' );
insert into TabX values ( 'dim_VMSTAT',  2, 'sno',    'S',  'Sno#', '' );
insert into TabX values ( 'dim_VMSTAT',  3, 'r',      'V',  'Run Queue', '' );
insert into TabX values ( 'dim_VMSTAT',  4, 'b',      'V',  'Blocked', '' );
insert into TabX values ( 'dim_VMSTAT',  5, 'w',      'V',  'Swapped', '' );
insert into TabX values ( 'dim_VMSTAT',  6, 'swap',   'V',  'Swap Free (Kb)', '' );
insert into TabX values ( 'dim_VMSTAT',  7, 'free',   'V',  'MemFree List (Kb)', '' );
insert into TabX values ( 'dim_VMSTAT',  8, 're',     'V',  'Page Reclaims', '' );
insert into TabX values ( 'dim_VMSTAT',  9, 'mf',     'V',  'Minor Faults', '' );
insert into TabX values ( 'dim_VMSTAT', 10, 'pin',    'V',  'PageIn (Kb)', '' );
insert into TabX values ( 'dim_VMSTAT', 11, 'pout',   'V',  'PageOut (Kb)', '' );
insert into TabX values ( 'dim_VMSTAT', 12, 'fr',     'V',  'Freed (Kb)', '' );
insert into TabX values ( 'dim_VMSTAT', 13, 'de',     'V',  'MemShortFall (Kb)', '' );
insert into TabX values ( 'dim_VMSTAT', 14, 'sr',     'V',  'PgScan Rate', '' );
insert into TabX values ( 'dim_VMSTAT', 15, 'intr',   'V',  'Dev Interrupts', '' );
insert into TabX values ( 'dim_VMSTAT', 16, 'sy',     'V',  'Sys Calls', '' );
insert into TabX values ( 'dim_VMSTAT', 17, 'cs',     'V',  'Context Switchs', '' );
insert into TabX values ( 'dim_VMSTAT', 18, 'usr',    'V',  'CPU Usr%', '' );
insert into TabX values ( 'dim_VMSTAT', 19, 'sys',    'V',  'CPU Sys%', '' );
insert into TabX values ( 'dim_VMSTAT', 20, 'idle',   'V',  'CPU Idle%', '' );

